<app-nav-bar></app-nav-bar>

<div class="section">
  <div class="container">

    <div style=" padding: 30px" >
      <h1 >{{detallePokemon.name}} </h1>
    </div>


    <div class='some-page-wrapper'>
  <div class='row1'>
    <div class='column'>
        <div class="card" style="max-width: 100%; margin: 10px">
          <div class="row ">
            <div class="col-md-4" align="center">
              <img *ngIf="detallePokemon.sprites.other.dream_world.front_default != null" style="width: auto;height: auto;" [src]="detallePokemon.sprites.other.dream_world.front_default" class="img-fluid rounded-start" alt="...">
              <img *ngIf="detallePokemon.sprites.other.dream_world.front_default == null" style="width: auto;height: 270px;" [src]="detallePokemon.sprites.other['official-artwork'].front_default" class="img-fluid rounded-start" alt="...">

            </div>
            <div class="col-md-8">
              <div class="card-body">
                <h1 class="card-title">Estadistica base</h1>
                <p>Estadisticas de nivel 1</p>
                <p align="left" style="margin-left: 15px;" class="card-text" *ngFor="let item of detallePokemon.stats">
                  <span>
                    <i class="fa fa-circle" aria-hidden="true" style="font-size: 65%;"></i>
                    <span  style="margin-left: 5px;">
                      {{item.stat.name}} : {{item.base_stat}}
                    </span>
                  </span>
                  </p>
              </div>
            </div>
          </div>
        </div>
      <div >
        <div class="card" style="max-width: 100%; margin: 10px">
          <div class="row ">
            <div class="col-md-4" align="center">
              <img *ngIf="detallePokemon.sprites.back_default != null" style="width: auto;height: 270px; object-fit: cover;" [src]="detallePokemon.sprites.back_default" class="img-fluid rounded-start" alt="...">
              <img *ngIf="detallePokemon.sprites.back_default == null" style="width: auto;height: 270px;" [src]="detallePokemon.sprites.other['official-artwork'].front_default" class="img-fluid rounded-start" alt="...">

            </div>
            <div class="col-md-8">
              <div class="card-body">
                <h1 class="card-title">Tipo</h1>
                <p> {{detallePokemon.name}} perteneces a estos tipos.</p>

                <p align="left" style="margin-left: 15px;" class="card-text" *ngFor="let item of detallePokemon.types">
                  <span>
                    <i class="fa fa-circle" aria-hidden="true" style="font-size: 65%;"></i>
                    <span  style="margin-left: 5px;">
                      {{item.type.name}}
                    </span>
                  </span>

                </p>
              </div>
            </div>
          </div>
        </div>


        <div class="card" style="max-width: 100%; margin: 10px">
          <div class="row ">
            <div class="col-md-4" align="center">
              <img *ngIf="detallePokemon.sprites.front_shiny != null"style="width: auto;height: 270px; object-fit: cover;" [src]="detallePokemon.sprites.front_shiny" class="img-fluid rounded-start" alt="...">
              <img *ngIf="detallePokemon.sprites.front_shiny == null" style="width: auto;height: 270px;" [src]="detallePokemon.sprites.other['official-artwork'].front_default" class="img-fluid rounded-start" alt="...">

            </div>
            <div class="col-md-8">
              <div class="card-body">
                <h1 class="card-title">Juegos</h1>
                <p>Lista de juegos donde aparece {{detallePokemon.name}}</p>
                <p align="left" style="margin-left: 15px;" class="card-text" *ngFor="let item of detallePokemon.game_indices">
                  <span>
                    <i class="fa fa-circle" aria-hidden="true" style="font-size: 65%;"></i>
                    <span  style="margin-left: 5px;">
                      {{item.version.name}}
                    </span>
                  </span>

                </p>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>



    <div class='column'>
      <div class="card" style="max-width: 100%; margin: 10px">
        <div class="row ">
          <div class="col-md-5" align="center">
            <img style="width: auto;height: 270px; object-fit: cover;" [src]="detallePokemon.sprites.other['official-artwork'].front_default" class="img-fluid rounded-start" alt="...">
          </div>
          <div class="col-md-7">
            <div class="card-body">
              <h1 class="card-title">Habilidades</h1>
              <p>Lista de Habilidades de {{detallePokemon.name}}</p>

              <p align="left" style="margin-left: 15px;" class="card-text" *ngFor="let item of detallePokemon.abilities">
                <span>
                  <i class="fa fa-circle" aria-hidden="true" style="font-size: 65%;"></i>
                  <span  style="margin-left: 5px;">
                    {{item.ability.name}}
                  </span>
                </span>

              </p>
            </div>
          </div>
        </div>
      </div>

      <div class="card" style="max-width: 100%; margin: 10px">
        <div class="row ">
          <div class="col-md-4" align="center">
            <img *ngIf="detallePokemon.sprites.front_default != null" style="width: auto;height: 270px; object-fit: cover;" [src]="detallePokemon.sprites.front_default" class="img-fluid rounded-start" alt="...">
            <img *ngIf="detallePokemon.sprites.front_default == null" style="width: auto;height: 270px;" [src]="detallePokemon.sprites.other['official-artwork'].front_default" class="img-fluid rounded-start" alt="...">

          </div>
          <div class="col-md-8">
            <div class="card-body">
              <h1 class="card-title">Movimientos</h1>
              <p>Lista de movimientos de {{detallePokemon.name}}</p>
              <p align="left" style="margin-left: 15px;" class="card-text" *ngFor="let item of detallePokemon.moves">
                <span>
                  <i class="fa fa-circle" aria-hidden="true" style="font-size: 65%;"></i>
                  <span  style="margin-left: 5px;">
                    {{item.move.name}}
                  </span>
                </span>

              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


</div>
